#include <iostream>
#include <algorithm>

using namespace std;

int main()
{
    long long n,x,i,j=0,rez,r,r1;
    scanf("%lld%lld",&n,&x);
    long long a[n];
    for (i=0;i<n;i++)
    scanf("%lld",&a[i]);
    sort(a,a+n);
    
    
      
    if (x>a[0] && x<a[n-1])
    {
      r=x-a[0];
      r1=a[n-1]-x;
     if (r<r1) rez=2*r+r1; else rez=2*r1+r; 
    }
    
    if (x<a[0]) rez=a[n-1]-x;
    if (x>a[n-1]) rez=x-a[0];
    
    printf("%lld",rez);

}